Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.iview.util
Class ModellingState

    java.lang.Object
      ix.iview.util.ModellingState

    public class ModellingState

extends java.lang.Object

A class to maintain notes of modelling issues and state of modelling progress. KADS state values: empty (initial value, no work done yet) identified (basic editing done) described (first draft - modelling done) validated (test, verify, validate; internal and external) completed (accepted and signed off)

Field Summary
`protected java.util.LinkedList` | `labels`
`static Symbol` | `MS_CONSISTENT`
`static Symbol` | `MS_DEFAULT`
`static Symbol` | `MS_DONE`
`static Symbol` | `MS_EMPTY`
`protected java.util.LinkedList` | `notes`
`protected Symbol` | `state`

Constructor Summary
`ModellingState()`

Method Summary
`void` | `addNote(java.lang.String note)`
`Symbol` | `getState()`
`void` | `setNotes(java.lang.String note)`
`void` | `setState(java.lang.String state)`
`void` | `setState(Symbol state)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MS_DEFAULT

    public static final Symbol MS_DEFAULT

### MS_EMPTY

    public static final Symbol MS_EMPTY

### MS_CONSISTENT

    public static final Symbol MS_CONSISTENT

### MS_DONE

    public static final Symbol MS_DONE

### state

    protected Symbol state

### notes

    protected java.util.LinkedList notes

### labels

    protected java.util.LinkedList labels

Constructor Detail

### ModellingState

    public ModellingState()

Method Detail

### setState

    public void setState(java.lang.String state)

### setState

    public void setState(Symbol state)

### getState

    public Symbol getState()

### setNotes

    public void setNotes(java.lang.String note)

### addNote

    public void addNote(java.lang.String note)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD